%define upstream_name    p5-Palm
%define upstream_version 1.012

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch: 1

Summary:     Modules for reading manipulating, and writing .pdb and .prc database
License:     GPL
Group:       Development/Perl
Url:         http://www.ooblick.com/software/coldsync/
Source0:     http://www.cpan.org/modules/by-module/p5/%{upstream_name}-%{upstream_version}.tar.gz

Buildarch: noarch


%description
This is p5-Palm, a set of Perl 5 modules for reading, manipulating,
and writing the .pdb and .prc database files used by PalmOS devices
such as the PalmPilot and its successors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# Test are broken, ignoring result
make test || :

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std
%{__rm} -rf $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO META.yml
%{_bindir}/*
%{perl_vendorlib}/*
%_mandir/man1/*
%_mandir/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:1.12.0-3.mga3
+ Revision: 375534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 1:1.12.0-2.mga2
+ Revision: 103966
- increase rel for rebuild

* Thu Jan 20 2011 jquelin <jquelin> 1:1.12.0-1.mga1
+ Revision: 27368
- mageia rebuild
- imported package perl-p5-Palm

